<?
include 'config.php';
include 'func.php';
head();
ban();
aut();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'bar' WHERE `id` = '".$id_session."'");
####################################################
echo head . 'Стрип-Бар' . div . katalog;
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id_session."'"));
function img($msg){$img = '<img src="strip_bar_images/' . $msg . '" alt="" /> ';return $img; };
function back($url){echo "</div><div class='menu_razd'><img src='strip_bar_images/3.png' alt='' /> <a href='?mod=$url'>Назад</a></div>\n";return;}; //////////Вписать свои дивы////////////
function div($text){echo "<div class='menu_razd'>$text</div><div class='page_foot'>\n";return;}; ////////////Вписать свои дивы//////////
function preg($a, $metod, $n){
 
 if ( $n == 1 ) $nabor = 'a-zA-Z0-9_'; else $nabor = '0-9';
 if ( $metod == 'POST')
  If (!isset($_POST[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_POST[$a])) $result = false; else $result = $_POST[$a]; 
 else
  If (!isset($_GET[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_GET[$a])) $result = false; else $result = $_GET[$a];
return $result;
};
function f_time($t) {
$ch = floor( $t / (60 * 60) ); $m = floor( ($t - ($ch * 60 * 60) ) / 60 ); $s = $t - (  ( ($ch * 60 * 60) + ($m * 60) ) );
$time = '';
if ( $ch != 0 ) $time.= "<b>$ch</b> ч. ";
if ( $m != 0 ) $time.= "<b>$m</b> мин. ";
if ( $s != 0 ) $time.= "<b>$s</b> сек.";
if ( $ch < 0 ) $time = '<b>Время вышло</b>'; 
return $time;}

function rating($l){
 $info_l = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login`='$l' LIMIT 1"));
 $bar = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_bar` WHERE `lvl`='$info_l[bar_lvl]' LIMIT 1"));
 $desk = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_desk` WHERE `lvl`='$info_l[desk_lvl]' LIMIT 1"));
 $s = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_settings` WHERE `id` = '1' LIMIT 1"));
 
 $proc = $s['scene_rat'] * $info_l['scene_lvl'] + $s['paul_rat'] * $info_l['paul_lvl'] + $s['wall_rat'] * $info_l['wall_lvl'] + $s['ceiling_rat'] * $info_l['ceiling_lvl'];
 $rating = ( $info_l['bar_kol'] * $bar['rating'] ) + ( $info_l['desk_kol'] * $desk['rating'] );
 
 $result = ceil( $rating + ( $rating / 100 * $proc) );
 
 mysql_query( "UPDATE `strip_bar_user` SET  `rating` = '$result' WHERE `login` = '$l' LIMIT 1");
 
};


$s = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_settings` WHERE `id` = '1' LIMIT 1"));
$mod = preg('mod', 'GET', 1);
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login`='$user[login]'")) > 0 ){
 $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login`='$user[login]' LIMIT 1"));
} else {
 if (mysql_query( "INSERT INTO `strip_bar_user` SET `login` = '$user[login]', `name_strip_bar` = 'Стрип-Бар by $user[login]', `money` = '$s[initial_money]', `date` = '" . time() . "', `date_money` = '" . time() . "', `time` = '" . time() ."'") == TRUE){
  echo "Поздровляем вы успешно открыли новый Стрип-Бар.<br />\n";  
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login`='$user[login]' LIMIT 1"));
  $bar = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_bar` WHERE `lvl`='$info[bar_lvl]' LIMIT 1"));
  $desk = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_desk` WHERE `lvl`='$info[desk_lvl]' LIMIT 1"));
  
  $cocktail = $info['bar_kol'] * $bar['cocktail'];
  $place = $info['desk_kol'] * $desk['place'];
  
  mysql_query( "UPDATE `strip_bar_user` SET `cocktail` = '$cocktail', `cocktail_max` = '$cocktail', `place` = '$place' WHERE `login` = '$info[login]' LIMIT 1");
  rating($info['login']);
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else { echo "Ошибка при создании аккаунта. Обратитесь к админестрации сайта."; include_once 'sys/inc/tfoot.php'; EXIT; }
}
$lvl = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_lvl` WHERE `lvl`='$info[lvl]' LIMIT 1"));
$bar = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_bar` WHERE `lvl`='$info[bar_lvl]' LIMIT 1"));
$desk = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_desk` WHERE `lvl`='$info[desk_lvl]' LIMIT 1"));
$area_x = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_area` WHERE `lvl`='$info[area_x]' LIMIT 1"));
$area_y = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_area` WHERE `lvl`='$info[area_y]' LIMIT 1"));

if ( $info['date_bonus'] != date ( 'z' , time() ) ) $mod = 'bonus';

mysql_query("UPDATE `strip_bar_user` SET `online` = '1', `time` = '" . time() . "' WHERE `login` = '$info[login]'");
mysql_query("UPDATE `strip_bar_user` SET `online` = '0' WHERE `time` < " . ( time () - 3600 ) );

switch ($mod) {

case 'bar_coc':
div('Бар - пополнение коктелей');
 $money = ($info['cocktail_max'] - $info['cocktail']) * $s['c_money'];
 if ( $info['money'] < $money ) 
  echo "Недостаточно <b>" . ( $money - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 elseif ( $money == 0 ) 
  echo "Запас коктелей в баре полон.<br />\n";
 else {
  echo "Вы пополнили коктели в баре потратив при этом <b>$money</b>" . img('1.gif') . "<br />\n";
  mysql_query( "UPDATE `strip_bar_user` SET `cocktail` = '$info[cocktail_max]', `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  }
back('bar');
break;

case 'buy_bar':
echo '<b>Бар - покупка бара</b><br/ >';
$area = $info['area_x'] * $info['area_y']; 
$area_s = $area - ( $info['bar_kol'] * $s['bar_area'] + $info['desk_kol'] * $s['desk_area']);
 if ( $area_s < $s['bar_area'] )
  echo "Недостаточно места! Расширте свой Стрип-Бар. <br />\n";
 elseif ( $info['money'] < $bar['money'] ) 
  echo "Недостаточно <b>" . ( $bar['money'] - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else {
  echo "Вы успешно преобрели бар потратив при этом <b>$bar[money]</b> " . img('1.gif') . "<br />\n";
  $cocktail = ( $info['bar_kol'] + 1) * $bar['cocktail'];
  mysql_query( "UPDATE `strip_bar_user` SET `bar_kol` = `bar_kol` + 1 , `cocktail_max` = '$cocktail', `money` = `money` - '$bar[money]' WHERE `login` = '$info[login]' LIMIT 1");
  rating($info['login']);
 }
back('bar');
break;

case 'up_bar':
echo '<b>Бар - улучшение баров</b><br/ >';
 $money_up = $info['bar_kol'] * $bar['money_up'];
 if ( $info['bar_lvl'] >= 20 ) 
  echo "Вы уже произвели максимальное улучшение баров.<br />\n";
 elseif ( $lvl['bar_lvl'] < $bar['lvl'] + 1 ) 
  echo "Улучшение всех баров <b>недоступно</b>! Повысти уровень своего Стрип-Бара.<br />\n";
 elseif ( $info['money'] < $money_up ) 
  echo "Недостаточно <b>" . ( $money_up - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else {
  echo "Вы успешно улучшили все бары потратив при этом <b>$money_up</b> " . img('1.gif') . "<br />\n";
  $bar_new = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_bar` WHERE `lvl`='" . ( $info['bar_lvl'] + 1 ) . "' LIMIT 1"));
  $cocktail = $info['bar_kol'] * $bar_new['cocktail'];
  mysql_query( "UPDATE `strip_bar_user` SET `bar_lvl` = `bar_lvl` + 1 , `cocktail_max` = '$cocktail', `money` = `money` - '$money_up' WHERE `login` = '$info[login]' LIMIT 1");
  rating($info['login']);
 }
back('bar');
break;

case 'bar':
div('Бар');
 echo "Уровень баров: <b>$info[bar_lvl]" . img('4.png') . "</b><br />\n
 <b>Один бар</b>: <br />\n
 Рейтинг +<b>$bar[rating]</b> " . img('9.gif') . "<br />\n
 Макс. коктелей +<b>$bar[cocktail]</b> " . img('8.gif') . "<br />\n
 Площадь -<b>$s[bar_area]</b> клетки<br />\n
 <b>Информация</b>: <br />\n
 Кол. баров: <b>$info[bar_kol]</b><br />\n
 Коктелей вналичии: <b>$info[cocktail]</b> " . img('8.gif') . "<br />\n
 Коктелей макс: <b>$info[cocktail_max]</b> " . img('8.gif') . "<br />\n";
 $money = ($info['cocktail_max'] - $info['cocktail']) * $s['c_money'];
 echo "<a href='?mod=bar_coc'>Пополнить коктели</a> <br />\n";
 if ( $money == 0 ) 
  echo " <b>Макс</b> <br />\n"; 
 elseif ( $info['money'] < $money ) 
  echo " Цена: <font color='red'>$money</font> " . img('1.gif') . "<br />\n";
 else 
  echo " Цена: <b>$money</b> " . img('1.gif') . "<br />\n
  <b>Покупка</b>:<br />\n";
  $area = $info['area_x'] * $info['area_y']; 
  $area_s = $area - ( $info['bar_kol'] * $s['bar_area'] + $info['desk_kol'] * $s['desk_area']);
  echo "<a href='?mod=buy_bar'>Купить бар</a>";
 if ( $area_s < $s['bar_area'] )
  echo " <font color='red'>Нет места</font> <br />\n";
 elseif ( $info['money'] < $bar['money'] ) 
  echo " Цена: <font color='red'>$bar[money]</font> " . img('1.gif') . "<br />\n";
 else 
  echo " Цена: <b>$bar[money]</b> " . img('1.gif') . "<br />\n";
 $money_up = $info['bar_kol'] * $bar['money_up'];
  echo "<a href='?mod=up_bar'>Улучшить все бары</a>";
 if ( $info['bar_lvl'] >= 20 ) 
  echo " <font color='red'>Макс. улучшение</font> <br />\n";
 elseif ( $lvl['bar_lvl'] < $bar['lvl'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money_up ) 
  echo " Цена: <font color='red'>$money_up</font> " . img('1.gif') . "<br />\n";
 else 
  echo " Цена: <b>$money_up</b> " . img('1.gif') . "<br />\n";
back('');
break;

case 'buy_pole':
echo '<b>Шесты - покупка шеста</b><br/ >';
 $money = $info['pole_kol'] * $s['pole_money'];
 if ( $info['pole_kol'] >= 10 )
  echo "Ву уже поставили максимальное количество шестов. <br />\n";
 elseif ( $lvl['pole_kol'] < $info['pole_kol'] + 1 ) 
  echo "Покупка новых шестов <b>недоступна</b>! Повысти уровень своего Стрип-Бара.<br />\n";
 elseif ( $info['money'] < $money ) 
  echo "Недостаточно <b>" . ( $money - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else {
  echo "Вы успешно преобрели новый шест потратив при этом <b>$money</b> " . img('1.gif') . "<br />\n";
  mysql_query( "UPDATE `strip_bar_user` SET `pole_kol` = `pole_kol` + 1 , `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
 }
back('pole');
break;

case 'pole_2':
echo '<b>Найм стриптезершы</b><br/ >';
$i = preg('pole', 'GET', 0);
if ( $i == false || $i < 1 || $i > 10 || $i > $info['pole_kol'] ) 
 echo "Такова шеста нет в вашем стрип баре! <br />\n";
else {
 echo "Шест № <b>$i</b> <br />\n";
 $money_1 = floor( $info['rating'] / 70 * $s['pole_money_n']);
 $money_3 = floor( $info['rating'] / 50 * $s['pole_money_n'] * 3);
 $money_10 = floor( $info['rating'] / 30 * $s['pole_money_n'] * 10);
 $rabota = mysql_num_rows ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login` = '$info[login]' AND `num_pole` = '$i' ") );
 if ( $rabota == 0 AND isset($_GET['t']) ){
  $t = preg('t', 'GET', 0);
  echo "<b>Результат</b>: <br />\n";
  if ( $t != 1 AND $t != 3 AND $t != 10 AND $t != 24 )
   echo "Неверное время найма. <br />\n";
   {
    if ( $t == 1 ) {
     if (  $money_1 > $info['money'] )
      echo "Недостаточно <b>" . ( $money_1 - $info['money'] ) . "</b>" . img('1.gif') . " для найма на 1 час. <br />\n";
     else {
      echo "Вы успешно наняли стриптезершу на 1 час за <b>$money_1</b>" . img('1.gif') . " <br />\n";
     mysql_query( "UPDATE `strip_bar_user` SET `money` = `money` - '$money_1' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
     mysql_query( "INSERT INTO `strip_bar_pole` SET `login` = '$info[login]', `num_pole` = '$i', `time_n` = '" . time() . "', `time_k` = ' " . ( time() + 60 * 60 ) . "' ");
     }
    }
    elseif ( $t == 3 ) {
     if (  $money_3 > $info['money'] )
      echo "Недостаточно <b>" . ( $money_3 - $info['money'] ) . "</b>" . img('1.gif') . " для найма на 3 часа. <br />\n";
     else {
      echo "Вы успешно наняли стриптезершу на 3 часа за <b>$money_3</b>" . img('1.gif') . " <br />\n";
     mysql_query( "UPDATE `strip_bar_user` SET `money` = `money` - '$money_3' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
     mysql_query( "INSERT INTO `strip_bar_pole` SET `login` = '$info[login]', `num_pole` = '$i', `time_n` = '" . time() . "', `time_k` = ' " . ( time() + 60 * 60 * 3 ) . "' ");   
     }
    }
    elseif ( $t == 10 ) {
     if (  $money_10 > $info['money'] )
      echo "Недостаточно <b>" . ( $money_10 - $info['money'] ) . "</b>" . img('1.gif') . " для найма на 10 часов. <br />\n";
     else {
      echo "Вы успешно наняли стриптезершу на 10 часов за <b>$money_10</b>" . img('1.gif') . " <br />\n";
     mysql_query( "UPDATE `strip_bar_user` SET `money` = `money` - '$money_10' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
     mysql_query( "INSERT INTO `strip_bar_pole` SET `login` = '$info[login]', `num_pole` = '$i', `time_n` = '" . time() . "', `time_k` = ' " . ( time() + 60 * 60 * 10 ) . "' ");     
     }
    }
    elseif ( $t == 24 ) {
     if (  $s['pole_gold'] > $info['gold'] )
      echo "Недостаточно <b>" . ( $s['pole_gold'] - $info['gold'] ) . "</b>" . img('2.png') . " для найма на 24 часа. <br />\n";
     else {
      echo "Вы успешно наняли стриптезершу на 24 часа за <b>$s[pole_gold]</b>" . img('2.png') . " <br />\n";
     mysql_query( "UPDATE `strip_bar_user` SET `gold` = `gold` - '$s[pole_gold]' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
     mysql_query( "INSERT INTO `strip_bar_pole` SET `login` = '$info[login]', `num_pole` = '$i', `time_n` = '" . time() . "', `time_k` = ' " . ( time() + 60 * 60 * 24 ) . "' ");      
     }
    } else echo "Ошибка <br />\n";
   }
 } 
 
 if ( $rabota > 0 ) {
   $info_pole = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login`='$info[login]' AND `num_pole` = '$i' LIMIT 1"));
   echo "<b>Состояние:</b> есть работница <br />\n
   Начало работы: <b>" . date('H:i d.m', $info_pole['time_n'] ) . "</b> <br />\n
   Конец работы: <b>" . date('H:i d.m', $info_pole['time_k'] ) . "</b> <br />\n
   Осталось времяни: " . f_time( $info_pole['time_k'] - time() ) . "
   ";
  } else {
   echo "<b>Состояние:</b> нет работницы <br />\n
   Нанять: <br />\n
   <a href='?mod=pole_2&amp;pole=$i&amp;t=1'>На 1 час</a>: <b>";
    if (  $money_1 > $info['money'] ) echo "<font color='red'>$money_1</font>"; else echo $money_1;
   echo "</b>" . img('1.gif') . " <br />\n<a href='?mod=pole_2&amp;pole=$i&amp;t=3'>На 3 часа</a>: <b>";
    if (  $money_3 > $info['money'] ) echo "<font color='red'>$money_3</font>"; else echo $money_3;
   echo "</b>" . img('1.gif') . " <br />\n<a href='?mod=pole_2&amp;pole=$i&amp;t=10'>На 10 часов</a>: <b>";
    if (  $money_10 > $info['money'] ) echo "<font color='red'>$money_10</font>"; else echo $money_10;
   echo "</b>" . img('1.gif') . " <br />\n<a href='?mod=pole_2&amp;pole=$i&amp;t=24'>На 24 часа</a>: <b>";
    if (  $s['pole_gold'] > $info['gold'] ) echo "<font color='red'>$s[pole_gold]</font>"; else echo $s['pole_gold'];
   echo "</b>" . img('2.png') . "<br />\n";
  }
}
back('pole');
break;

case 'pole':
echo '<b>Шесты</b><br/ >';
 echo "Кол. шестов: <b>$info[pole_kol]</b><br />\n 
 <a href='?mod=buy_pole'>Поставить шест</a>";
 $money = $info['pole_kol'] * $s['pole_money'];
 if ( $info['pole_kol'] >= 10 )
  echo " <font color='red'>Макс. кол.</font> <br />\n";
 elseif ( $lvl['pole_kol'] < $info['pole_kol'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money ) 
  echo " Цена: <font color='red'>$money</font> " . img('1.gif') . "<br />\n";
 else 
  echo " Цена: <b>$money</b> " . img('1.gif') . "<br />\n";
 echo "<b>Шесты</b>: <br />\n";
 for ($i=1;$i<$info['pole_kol']+1;$i++){
  echo "$i) ";
  if ( mysql_num_rows ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login` = '$info[login]' AND `num_pole` = '$i' ") ) > 0 ) {
   $info_pole = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login`='$info[login]' AND `num_pole` = '$i' LIMIT 1"));
   echo "<a href='?mod=pole_2&amp;pole=$i'>Работать еще</a> " . f_time( $info_pole['time_k'] - time() ) . " <br />\n";
  } else
   echo "Не работает [<a href='?mod=pole_2&amp;pole=$i'>нанять</a>] <br />\n";
 }
back('');
break;

case 'user':
echo '<b>Информация по Стрип-Бару</b><br/ >';
$l = preg('l', 'GET', 1);
$b = preg('b', 'GET', 1);
$info_l = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login`='$l' LIMIT 1"));
echo "Название: <b>$info_l[name_strip_bar]</b><br />\n
Владелец: <b>$info_l[login]</b><br />\n
Уровень: " . img('4.png') . "<b>$info_l[lvl]</b><br />\n
Рейтинг: <b>$info_l[rating]</b>" . img('9.gif') . "<br />\n
Бюджет: <b>$info_l[money]</b>" . img('1.gif') . "<br />\n
Дата открытия: <b>" . date ( 'd.m.Y в H:i' ,$info_l['date'] ) . "</b><br />\n";
back($b);
break;

case 'buy_desk':
echo '<b>Столики - покупка столика</b><br/ >';
$area = $info['area_x'] * $info['area_y']; 
$area_s = $area - ( $info['bar_kol'] * $s['bar_area'] + $info['desk_kol'] * $s['desk_area']);
 if ( $area_s < $s['desk_area'] )
  echo "Недостаточно места! Расширте свой Стрип-Бар. <br />\n";
 elseif ( $info['money'] < $desk['money'] ) 
  echo "Недостаточно <b>" . ( $desk['money'] - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else {
  echo "Вы успешно преобрели столик потратив при этом <b>$desk[money]</b> " . img('1.gif') . "<br />\n";
  $place = ( $info['desk_kol'] + 1) * $desk['place'];
  mysql_query( "UPDATE `strip_bar_user` SET `desk_kol` = `desk_kol` + 1 , `place` = '$place', `money` = `money` - '$desk[money]' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
  rating($info['login']);
 }
back('desk');
break;

case 'up_desk':
echo '<b>Столики - улучшение столов</b><br/ >';
 $money_up = $info['desk_kol'] * $desk['money_up'];
 if ( $lvl['desk_lvl'] < $desk['lvl'] + 1 ) 
  echo "Улучшение всех столов <b>недоступно</b>! Повысти уровень своего Стрип-Бара.<br />\n";
 elseif ( $info['money'] < $money_up ) 
  echo "Недостаточно <b>" . ( $money_up - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else {
  echo "Вы успешно улучшили все столы потратив при этом <b>$money_up</b> " . img('1.gif') . "<br />\n";
  $desk_new = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_desk` WHERE `lvl`='" . ( $info['desk_lvl'] + 1 ) . "' LIMIT 1"));
  $place = $info['desk_kol'] * $desk_new['place'];
  mysql_query( "UPDATE `strip_bar_user` SET `desk_lvl` = `desk_lvl` + 1 , `place` = '$place', `money` = `money` - '$money_up' WHERE `login` = '$info[login]' LIMIT 1");
  rating($info['login']);
 }
back('desk');
break;

case 'desk':
echo '<b>Столики</b><br/ >';
 echo "Уровень столов: <b>$info[desk_lvl]" . img('4.png') . "</b><br />\n
 <b>Один стол</b>: <br />\n
 Рейтинг +<b>$desk[rating]</b> " . img('9.gif') . "<br />\n
 Кол. мест +<b>$desk[place]</b> <br />\n
 Площадь -<b>$s[desk_area]</b> клеток <br />\n
 <b>Информация</b>: <br />\n
 Кол. столов: <b>$info[desk_kol]</b><br />\n
 Кол. мест: <b>$info[place]</b><br />\n
 <b>Покупка</b>: <br />\n";
  $area = $info['area_x'] * $info['area_y']; 
  $area_s = $area - ( $info['bar_kol'] * $s['bar_area'] + $info['desk_kol'] * $s['desk_area']);
  echo "<a href='?mod=buy_desk'>Купить столик</a>";
 if ( $area_s < $s['desk_area'] )
  echo " <font color='red'>Нет места</font> <br />\n";
 elseif ( $info['money'] < $desk['money'] ) 
  echo " Цена: <font color='red'>$desk[money]</font> " . img('1.gif') . "<br />\n";
 else 
  echo " Цена: <b>$desk[money]</b> " . img('1.gif') . "<br />\n";
 $money_up = $info['desk_kol'] * $desk['money_up'];
  echo "<a href='?mod=up_desk'>Улучшить все столики</a>";
 if ( $info['desk_lvl'] >= 20 ) 
  echo " <font color='red'>Макс. улучшение</font> <br />\n";
 elseif ( $lvl['desk_lvl'] < $desk['lvl'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money_up ) 
  echo " Цена: <font color='red'>$money_up</font> " . img('1.gif') . "<br />\n";
 else 
  echo " Цена: <b>$money_up</b> " . img('1.gif') . "<br />\n";
back('');
break;

case 'area_up':
echo '<b>Площадь - расширение</b><br/ >';
$a = preg('a', 'GET', 1);
if ( $a == 'x' ) $area_a = $area_x; else $area_a = $area_y;
 if ( $lvl['area_'.$a] < $info['area_'.$a] + 1 ) 
  echo "Расширение площади по $a <b>недоступно</b>! Повысти уровень своего Стрип-Бара.<br />\n";
 elseif ( $info['money'] < $area_a['money_'.$a] ) 
  echo "Недостаточно <b>" . ( $area_a['money_'.$a] - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else {
  echo "Вы успешно провели расширение потратив при этом <b>" . $area_a['money_'.$a] . "</b> " . img('1.gif') . "<br />\n";
  mysql_query( "UPDATE `strip_bar_user` SET `money` = `money` - '" . $area_a['money_'.$a] . "', `area_$a` = `area_$a` + 1 WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
  }
back('area');
break;

case 'area':
echo '<b>Площадь</b><br/ >';
 $area = $info['bar_kol'] * $s['bar_area'] + $info['desk_kol'] * $s['desk_area'];
 echo "Ширина: <b>$info[area_x]</b><br />\n
 Высота: <b>$info[area_y]</b><br />\n
 Всего кводратов: <b>" . ( $info['area_x'] * $info['area_y'] ) . "</b><br />\n
 Свободно: <b>" . ( $info['area_x'] * $info['area_y'] - $area ) . "</b><br />\n
 Занято: <b>$area</b><br />\n";
 echo "<a href='?mod=area_up&amp;a=x'>Расширить по X</a>";
 if ( $info['area_x'] >= 30 )
  echo " <font color='red'>Макс. расширение</font> <br />\n";
 elseif ( $lvl['area_x'] < $info['area_x'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $area_x['money_x'] ) 
  echo " Цена: <font color='red'>$area_x[money_x]</font> " . img('1.gif') . "<br />\n";
 else
  echo " Цена: <b>$area_x[money_x]</b> " . img('1.gif') . "<br />\n";
 echo "<a href='?mod=area_up&amp;a=y'>Расширить по Y</a>";
 if ( $info['area_y'] >= 30 )
  echo " <font color='red'>Макс. расширение</font> <br />\n";
 elseif ( $lvl['area_y'] < $info['area_y'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $area_y['money_y'] ) 
  echo " Цена: <font color='red'>$area_y[money_y]</font> " . img('1.gif') . "<br />\n";
 else
  echo " Цена: <b>$area_y[money_y]</b> " . img('1.gif') . "<br />\n";
back('');
break;

case 'up_furni':
$fur = preg('f', 'GET', 1);
$name_a = array ( "scene"=> "сцены", "paul"=> "пола", "wall"=> "стен", "ceiling"=> "потолка");
if ( $fur != 'scene' and $fur != 'paul' and $fur != 'wall' and $fur != 'ceiling' ) {
echo '<b>Улучшение интерьера</b><br/ >';
echo "Ошибка: Такова интерьера не существует!";
} else {
echo '<b>Улучшение - ' . $name_a[$fur] . '</b><br/ >';
if ( $fur == 'scene' ) $lvl_info = $lvl['scene_lvl']; else $lvl_info = $lvl['p_w_c_lvl'];
 $info_fur = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_p_w_c` WHERE `lvl` = '" . $info[$fur.'_lvl'] . "' LIMIT 1"));
 $money = $info[$fur.'_lvl'] * $info_fur['money'] + ( $info[$fur.'_lvl'] * $info_fur['money'] / 100 * $s[$fur.'_for']);
 if ( $lvl_info < $info[$fur.'_lvl'] + 1 ) 
  echo "Улучшение $name_a[$fur] <b>недоступно</b>! Повысти уровень своего Стрип-Бара.<br />\n";
 elseif ( $info['money'] < $money ) 
  echo "Недостаточно <b>" . ( $money - $info['money'] ) . "</b> " . img('1.gif') . "<br />\n";
 else{
  echo "Вы успешно сделали улучшение <b>$name_a[$fur]</b> потратив при этом <b>$money</b> " . img('1.gif') . "<br />\n";
  $furni = $fur.'_lvl';
  mysql_query( "UPDATE `strip_bar_user` SET $furni = $furni + 1, `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1") or die (mesql_error());
  }
}
back('furni');
break;

case 'furni':
echo '<b>Обстановка</b><br/ >';
 echo "Сцена: <b>$info[scene_lvl]</b> (+" . ( $s['scene_rat'] * $info['scene_lvl']) . "%" . img('9.gif') . ")<br />\n";
 $info_scene = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_p_w_c` WHERE `lvl` = '$info[scene_lvl]' LIMIT 1"));
 $money_scene = $info['scene_lvl'] * $info_scene['money'] + ( $info['scene_lvl'] * $info_scene['money'] / 100 * $s['scene_for']);
 echo "<a href='?mod=up_furni&amp;f=scene'>Улучшить</a>";
 if ( $info['scene_lvl'] >= 10 )
  echo " <font color='red'>Макс. улучшение</font> <br />\n";
 elseif ( $lvl['scene_lvl'] < $info['scene_lvl'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money_scene ) 
  echo " Цена: <font color='red'>$money_scene</font> " . img('1.gif') . "<br />\n";
 else
  echo " Цена: <b>$money_scene</b> " . img('1.gif') . "<br />\n";
 echo "Пол: <b>$info[paul_lvl]</b> (+" . ( $s['paul_rat'] * $info['paul_lvl']) . "%" . img('9.gif') . ")<br />\n";
 $info_paul = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_p_w_c` WHERE `lvl` = '$info[paul_lvl]' LIMIT 1"));
 $money_paul = $info['scene_lvl'] * $info_paul['money'] + ( $info['paul_lvl'] * $info_paul['money'] / 100 * $s['paul_for']);
 echo "<a href='?mod=up_furni&amp;f=paul'>Улучшить</a>";
 if ( $info['paul_lvl'] >= 20 )
  echo " <font color='red'>Макс. улучшение</font> <br />\n";
 elseif ( $lvl['p_w_c_lvl'] < $info['paul_lvl'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money_paul ) 
  echo " Цена: <font color='red'>$money_paul</font> " . img('1.gif') . "<br />\n";
 else
  echo " Цена: <b>$money_paul</b> " . img('1.gif') . "<br />\n";
 echo "Стены: <b>$info[wall_lvl]</b> (+" . ( $s['wall_rat'] * $info['wall_lvl']) . "%" . img('9.gif') . ")<br />\n";
 $info_wall = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_p_w_c` WHERE `lvl` = '$info[wall_lvl]' LIMIT 1"));
 $money_wall = $info['scene_lvl'] * $info_wall['money'] + ( $info['wall_lvl'] * $info_wall['money'] / 100 * $s['wall_for']);
 echo "<a href='?mod=up_furni&amp;f=wall'>Улучшить</a>";
 if ( $info['wall_lvl'] >= 20)
  echo " <font color='red'>Макс. улучшение</font> <br />\n";
 elseif ( $lvl['p_w_c_lvl'] < $info['wall_lvl'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money_wall ) 
  echo " Цена: <font color='red'>$money_wall</font> " . img('1.gif') . "<br />\n";
 else
  echo " Цена: <b>$money_wall</b> " . img('1.gif') . "<br />\n";
 echo "Потолок: <b>$info[ceiling_lvl]</b> (+" . ( $s['ceiling_rat'] * $info['ceiling_lvl']) . "%" . img('9.gif') . ")<br />\n";
 $info_ceiling = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_p_w_c` WHERE `lvl` = '$info[ceiling_lvl]' LIMIT 1"));
 $money_ceiling = $info['scene_lvl'] * $info_ceiling['money'] + ( $info['ceiling_lvl'] * $info_ceiling['money'] / 100 * $s['ceiling_for']);
 echo "<a href='?mod=up_furni&amp;f=ceiling'>Улучшить</a>";
 if ( $info['ceiling_lvl'] >= 20 )
  echo " <font color='red'>Макс. улучшение</font> <br />\n";
 elseif ( $lvl['p_w_c_lvl'] < $info['ceiling_lvl'] + 1 ) 
  echo " <font color='red'>Недоступно</font> <br />\n";
 elseif ( $info['money'] < $money_ceiling ) 
  echo " Цена: <font color='red'>$money_ceiling</font> " . img('1.gif') . "<br />\n";
 else
  echo " Цена: <b>$money_ceiling</b> " . img('1.gif') . "<br />\n";
back('');
break;

case 'online':
echo '<b>Онлайн: ' . mysql_num_rows ( mysql_query ("SELECT * FROM profile WHERE online = 'bar' AND time > '" .(time()-600). "'") ) . '</b><br/ >';
$user = mysql_query ("SELECT * FROM `profile` WHERE `online` = 'bar' AND time > '" .(time()-600). "'");
while ( $user_info = mysql_fetch_array ( $user ) ) {
 $info_user = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login` = '$user_info[login]' LIMIT 1"));
 if ( $user_info['login'] != '') 
  echo "".user($user_info['id']).": <b>$info_user[name_strip_bar]</b> ур. $info_user[lvl] <br />\n";
}
back('');
break;

case 'about_game':
echo '<b>Об игре/FAQ</b><br/ >';
echo "Название: <b>Стрип-Бар</b><br />\n";

echo "<b>Возможные ваши вопросы</b>: <br />
<b>На что влияет уровень?</b> <br />
От уровня зависит развитие вашего Стрип-Бара с его повышением открываются новые возможности, модификации и т.д. <br />
<b>Зачем нужен рейтинг?</b> <br />
Рейтинг это главный показатель в погоне за первым местом среди всех заведений, так же для некоторые функции будут не доступны до определенного количества рейтинга. <br />
<b>Бары:</b> <br />
Бар (кол. коктелей в наличии/максимальное кол. коктелей) бары увеличивают максимальное кол. коктелей в вашем баре. От уровня баров зависит сколько один бар добавляет рейтинга и коктелей. <br />
<b>Шесты:</b> <br />
Шесты (кол. активных стриптизерш/кол. шестов) На каждый шест можно нанять стриптизершу на определенное время чем на меньшее время вы ее нанимаете тем больше выгоды. Стоимость и заработок стриптизерш зависит от рейтинга заведение. <br />
<b>Столики:</b> <br />
Столики (кол. столиков) От столиков зависит максимальная посещаемость вашего Стрип-Бара так же они добавляют рейтинг. От уровня столиков зависит сколько один столик добавляет мест для посетителей и рейтинга. <br />
<b>Площадь:</b> <br />
Площадь (ширина по X/ширина по Y/кол. клеток) От площади зависит сколько вы сможите поставить баров и столиков. Площадь расширяется по осям X и Y и перемножение этих чисел это общее кол. клеток в вашем заведении которые используются под покупки. <br />
<b>Обстановка:</b> <br />
Обстановка (ур. сцены/ур. пола/ур. стен/ур. потолка) От их уровня зависит процентное добавление к рейтингу клуба.  <br />
";
back('');
break;

case 'all_strip_bar':

echo '<b>Сортировка:</b><br/ >';
 $sort = preg('sort', 'GET', 1);
if ( $sort == false ) $sort_k = "ORDER BY id";
elseif ( $sort == 'lvl' ) $sort_k = "ORDER BY lvl DESC";
elseif ( $sort == 'money' ) $sort_k = "ORDER BY money DESC";
elseif ( $sort == 'rating' ) $sort_k = "ORDER BY rating DESC";
else { $sort_k = "ORDER BY id"; $sort = false; }
if ( $sort == false ) $name = "<font color='red'>Без сортировки</font>"; else $name = "Без сортировки";
 echo "<a href='?mod=all_strip_bar'>$name</a> | ";
if ( $sort == 'lvl' ) $name = "<font color='red'>Уровень</font>"; else $name = "Уровень";
 echo "<a href='?mod=all_strip_bar&amp;sort=lvl'>$name</a> | ";
if ( $sort == 'money' ) $name = "<font color='red'>Бюджет</font>"; else $name = "Бюджет";
 echo "<a href='?mod=all_strip_bar&amp;sort=money'>$name</a> | ";
if ( $sort == 'rating' ) $name = "<font color='red'>Рейтинг</font>"; else $name = "Рейтинг";
 echo "<a href='?mod=all_strip_bar&amp;sort=rating'>$name</a>";
echo '<b>Все клубы:</b><br/ >';
$sql = mysql_query ("SELECT * FROM `strip_bar_user` $sort_k ") or die(mysql_error());
while ( $guest = mysql_fetch_assoc($sql) )
{
 echo "<a href='?mod=user&l=$guest[login]&b=all_strip_bar'>$guest[login]</a> ($guest[name_strip_bar]) ";
 if ( $sort == 'lvl' ) echo "Уровень: $guest[lvl]" . img('4.png');
 if ( $sort == 'money' ) echo "Бюджет: $guest[money]" . img('1.gif');
 if ( $sort == 'rating' ) echo "Рейтинг: $guest[rating]" . img('9.gif');
 echo "<br />\n";
}


echo "</div>";echo '<b>Мини статистика:</b><br/ >';
echo "Всего Стрип-Баров: <b>" . mysql_num_rows ( mysql_query( " SELECT * FROM `strip_bar_user` " ) ) . "</b><br />\n
</div>";
back('');
break;

case 'bonus':
echo '<b>Ежедневный бонус:</b><br/ >';
if ( $info['date_bonus'] != date ( 'z' , time() ) ) {
 $gold = rand($s['bonus_g_n'],$s['bonus_g_k']);
 
 $date = date ( 'z' , time() ) - $info['date_bonus'];
 if ( $info['kol_d'] == 0 || $date > 1 ) $kol_d = 1;
 elseif ( $info['kol_d'] == 4 ) $kol_d = 5;
 else $kol_d = $info['kol_d'] + 1;
  
 echo "Ваш сегоднишний бонус<br />\n
 Золото: <b>$gold</b>" . img('2.png') . " <br />\n";
  
 echo "Заходите <b>5</b> дней подрят и получите бонус в размере <b>$s[bonus_gold]</b> золота и <b>$s[bonus_bals]</b> баллов сайта! <br />\n";
 echo "<font color='red'>1 день</font> -> "; 
 if ( $kol_d > 1 ) echo "<font color='red'>2 день</font> -> "; else  echo "2 день -> ";
 if ( $kol_d > 2 ) echo "<font color='red'>3 день</font> -> "; else  echo "3 день -> "; 
 if ( $kol_d > 3 ) echo "<font color='red'>4 день</font> -> "; else  echo "4 день -> "; 
 if ( $kol_d > 4 ) echo "<font color='red'>5 день</font>"; else  echo "5 день"; 
 echo "<br />\n";
 if ( $kol_d > 4 ) { $kol_d = 0; echo "<b>Ваш бонус за посещения игры пять дней подрят</b>: <br/>\n
  Золото: <b>$s[bonus_gold]</b>" . img('2.png') . "<br />\n
  Монеты сайта: <b>50</b> монет <br/ >\n"; 
  mysql_query( "UPDATE `strip_bar_user` SET `gold` = `gold` + '$s[bonus_gold]' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
  mysql_query( "UPDATE `profile` SET `many` = `many` + '50' WHERE `login` = '$user[login]' LIMIT 1");}
 
 mysql_query( "UPDATE `strip_bar_user` SET `gold` = `gold` + '$gold', `date_bonus` = '" . date ( 'z' , time() ) . "', `kol_d` = '$kol_d' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
} else echo "Вы уже седня получали бонус! <br />\n";
echo "</div><div class='menu_razd'><img src='strip_bar_images/3.png' alt='' /> <a href='?mod='>В игру</a></div>\n";
break;

case 'name':
echo '<b>Мой офис:</b><br/ >';
if ( isset($_POST['name']) AND $_POST['name'] != '' AND $_POST['name'] != $info['name_strip_bar'] ){

if ( $info['rating'] < $s['rating_name'] )
$error = 'Ваш рейтинг ниже нужного для выполнения данной операции. <br />';
else {
If (!isset($_POST['name']) || !preg_match("!^[\x80-\xFFA-z0-9_ ]+$!i",$_POST['name'])) $name=false; else $name= mysql_escape_string ( htmlspecialchars ( $_POST['name'] ) ); $error='';
if ( $name == false ) $error.= 'Неверное название Стрип-Бара.<br />';
if ( strlen($name )<4 || strlen($name)>20) $error.= 'Название должно состоять из 4 - 20 символов!<br />';
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `name` = '$name'") )) $error.= 'Такой Стрип-Бар уже существует.<br />';
if ( $info['gold'] < $s['gold_name'] ) $error.= 'Недостаточно золота.<br />'; 
}
if(!empty($error)) { echo "<b>Результат:</b> $error <br />";
}else{ echo "<b>Результат:</b> Вы успешно сменили название Стрип-Бара на <b>$name</b>. <br />\n";
 mysql_query( "UPDATE `strip_bar_user` SET `name_strip_bar` = '$name' WHERE `login` = '$info[login]' LIMIT 1");
 $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_user` WHERE `login` = '$info[login]' LIMIT 1"));
} }
echo "Смена названия Стрип-Бара.<br />\n
Цена смены названия: <b>$s[gold_name]</b> золота" . img('2.png') . " (у вас <b>$info[gold]</b>" . img('2.png') . ")<br />\n
Нужен рейтинг не ниже: <b>$s[rating_name]</b>" . img('9.gif') . " <br />\n
Текущее название: <b>$info[name_strip_bar]</b><br />\n
<form action='?mod=name' method='post'>
Новое название: <br />\n
<input type='text' name='name' maxlength='20' /><br />\n
<input type='submit' value='Сменить' /></form><br />\n";
back('office');
break;

case 'office':
echo '<b>Офис:</b><br/ >';
 echo "Золото: <b>$info[gold]</b>" . img('2.png') . " <br />\n
 " . img('5.gif') . "<a href='?mod=name'>Изменить название заведения</a><br />\n";
back('');
break;

default:

 if ( $info['date_money'] + 60 * $s['time_money'] < time() ) // 
 {
  $money_v = 0; $money_c = 0; $money_pole = 0; $lvl_up = 0;
  $kol_v = floor ( ( time() - $info['date_money'] ) / ( 60 * $s['time_money'] ) ); // количество цыклов
  $p = rand( floor($info['place'] / 100 * 70) * $kol_v, $info['place'] * $kol_v );// кол. посетителей
  $cock = rand( $p / 100 * 50, $p / 100 * 80); // кол. выпитых коктелей
   if ( $cock > $info['cocktail'] ) $cock = $info['cocktail'];
  $money_v = $p * $s['money_bilet']; // заработок с билетов
  $money_c = $cock * $s['money_cock']; // заработок с коктелей
   if ( $kol_v / 10 > 20 ) $kof = 20; else $kof = $kol_v / 10;
  
  $time_pole = 0; for ($i=1;$i<$info['pole_kol']+1;$i++){
  if ( mysql_num_rows ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login` = '$info[login]' AND `num_pole` = '$i' ") ) > 0 ) {
   $info_pole = mysql_fetch_array ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login`='$info[login]' AND `num_pole` = '$i' LIMIT 1"));
   if ( time() < $info_pole['time_k'] ) $time_pole = time() - $info['date_money']; else $time_pole = $info_pole['time_k'] - $info['date_money'];
  } 
 }
 if ( $time_pole > 0 ) $money_pole = floor( $info['rating'] / 18 * $s['pole_money_n'] * ( $time_pole / 60 / 60 )); // заработок стриптезерш
  
  $money_v = ceil( $money_v / 100 * ( 100 - $kof ) ); // заработок с учетом когда мы заходили последний раз чем дольше нас не было в игре тем меньше мы получим
  $money_c = ceil( $money_c / 100 * ( 100 - $kof ) );
  $money = $money_v + $money_c + $money_pole;
   if ( $info['lvl'] != 100 ) $exp = + ( $money / $s['money_exp'] ); else $exp = 0;// опыт начисляемый нам
  $exp_full = $info['exp'] + $exp;
   if ( $exp_full >= $lvl['exp'] ) {
    mysql_query( "UPDATE `strip_bar_user` SET `lvl` = `lvl` + 1 WHERE `login` = '$info[login]' LIMIT 1") or die(mysql_error());
   $exp_full = 0;
   $lvl_up = 1;
   }
  
  mysql_query( "UPDATE `strip_bar_user` SET `money` = `money` + '$money', `cocktail` = `cocktail` - '$cock', `exp` = '$exp_full',`date_money` = " . ( $info['date_money'] + ( $kol_v * 60 * $s['time_money'] ) )  . " WHERE `login` = '$info[login]' LIMIT 1") or die(mysql_error());
  mysql_query("DELETE FROM `strip_bar_pole` WHERE `login` = '$info[login]' AND `time_k` < '" . time() . "'");  // удаляем стрептезерш которые уже отработали свое время
  
  echo '<b>Заработок:</b><br/ >';
  echo "Билеты: <b>$money_v</b>" . img('1.gif') . " <br />\n
  Коктели: <b>$money_c</b>" . img('1.gif') . " <br />\n
  Чайвы стриптезершам: <b>$money_pole</b>" . img('1.gif') . " <br />\n";
  if ( $lvl_up == 1 ) echo "Поздровляем вы получили новый уровень! <br />\n";
  elseif ( $info['lvl'] != 100 ) echo "Опыт: <b>" . substr($exp,0,5) . "</b> <br />\n";
  
 }
 
echo '<img src="style/'.$icon.'/dot.gif" alt="" /> Стрип-Бар: '. $info['name_strip_bar'] . '<br/ >';
echo rating($info['login']) . "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> Бюджет: <b>$info[money]</b>\n";
echo img('1.gif') . "<br />\n
<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> Уровень Стрип-Бара: " . img('4.png') . "<b>$info[lvl]</b><br />\n";
if ( $info['lvl'] != 100 ) echo "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> Опыт: <b>" . floor($info['exp']) . "</b>/$lvl[exp]<br />";
echo "<img src=\"style/".$icon."/dot.gif\" alt=\"\" /> Рейтинг: <b>$info[rating]</b> " . img('9.gif') . "<hr>";
echo '<b>Меню</b><br/ >';
echo img('5.gif') . "<a href='?mod=bar'>Бар</a> (<b>$info[cocktail]</b>/<b>$info[cocktail_max]</b>)<br />\n
" . img('5.gif') . "<a href='?mod=pole'>Шесты</a> (<b>" . ( mysql_num_rows ( mysql_query ("SELECT * FROM `strip_bar_pole` WHERE `login` = '$info[login]' ") ) ) . "</b>/<b>$info[pole_kol]</b>)<br />\n
" . img('5.gif') . "<a href='?mod=desk'>Столики</a> (<b>$info[desk_kol]</b> шт.)<br />\n
" . img('5.gif') . "<a href='?mod=area'>Площадь</a> (<b>$info[area_x]</b>/<b>$info[area_y]</b>/<b>" . ($info['area_x'] * $info['area_y']) . "</b>)<br />\n
" . img('5.gif') . "<a href='?mod=furni'>Обстановка (<b>$info[scene_lvl]</b>/<b>$info[paul_lvl]</b>/<b>$info[wall_lvl]</b>/<b>$info[ceiling_lvl]</b>)</a><br />\n
<hr>";
$online = mysql_result(mysql_query("SELECT count(*) FROM `profile` WHERE `time` > '".time()."' AND `online` = 'bar'"), 0);
echo '<b>Разное:</b><br/ >';
echo img('5.gif') . "<a href='?mod=office'>Офис</a><br />\n
" . img('5.gif') . "<a href='?mod=all_strip_bar'>Все Стрип-Бары</a><br />\n
" . img('5.gif') . "<a href='?mod=about_game'>Об игре/FAQ</a><br />\n

" . img('5.gif') . "Онлайн: <a href='?mod=online'>" . $online . "</a> <br />\n</div>";
if ( $user['level'] >= 4 ) echo link1 . '<a href="strip_bar_a.php">Админка</a><br /></div>';
break;
}
echo link1 . "<b><a href='games.php'>В игры</a></b></div>\n";
navig();
foot();
?>